#include <QApplication>
#include <QLayout>
#include <QPushButton>

#include "main.h"

MyWidget :: MyWidget() : QWidget()
{
   QBoxLayout * vbl = new QVBoxLayout(this);

   QPushButton * clearButton = new QPushButton("Clear Text");
   connect(clearButton, SIGNAL(clicked()), this, SLOT(ClearTextEdit()));
   vbl->addWidget(clearButton);

   _textEdit = new QTextEdit;
   _textEdit->setReadOnly(true);
   _textEdit->setMinimumSize(QSize(50,300));
   for (int i=0; i<200; i++) _textEdit->append(QString("This is just some dummy text to fill up the TextEdit with (#%1)").arg(i+1));
   vbl->addWidget(_textEdit, 1);
}

void MyWidget :: ClearTextEdit()
{
   printf("ClearTextEdit() called!\n");
   _textEdit->clear();
}

int main(int argc, char ** argv)
{
   QApplication app(argc, argv);

   MyWidget mw;
   mw.show();

   return app.exec();
}
